import { Component, Input, OnInit } from '@angular/core';
import { IonHeader,IonContent, IonTitle, IonToolbar } from '@ionic/angular/standalone';
import { IonCardContent, IonCardHeader,IonButton,IonButtons } from '@ionic/angular/standalone';
import { IonCard, ModalController } from '@ionic/angular/standalone';

@Component({
  selector: 'app-film-details-modal',
  templateUrl: './film-details-modal.component.html',
  styleUrls: ['./film-details-modal.component.scss'],
  standalone:true,
  imports:[
    IonCard,IonCardContent,IonCardHeader,IonButton,IonHeader,IonToolbar,IonTitle,
    IonContent,IonButtons
  ]
})














export class FilmDetailsModalComponent  implements OnInit {

  @Input() film: any;

  constructor(private modalController: ModalController) {}

  closeModal() {
    this.modalController.dismiss();
  }

  ngOnInit() {}

}
