import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { IonicModule } from '@ionic/angular';

import { FimlPageRoutingModule } from './fiml-routing.module';

import { FimlPage } from './fiml.page';

import { FilmDetailsModalComponent } from '../film-details-modal/film-details-modal.component';

import { EditRatioStarComponent } from 'src/modules/coms/edit-ratio-star/edit-ratio-star.component';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    FimlPageRoutingModule,
    FilmDetailsModalComponent,
    EditRatioStarComponent
  ],
  declarations: [FimlPage]
})
export class FimlPageModule {}
