import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root'
})
export class FavoritesService {
  addToFavorites(newItem: { title: string; description: string; imageUrl: string; }) {
    throw new Error('Method not implemented.');
  }
  private favoriteItems = [
    {
      title: '哆啦A梦',
      description: '这哆啦A梦电影讲述了一只来自未来的机器猫哆啦A梦和他的主人野比世修在各种冒险中学习成长，展现了友情、家庭和勇气的故事。',
      imageUrl: 'assets/image/Doraemon.png'
    },
    {
      title: '疯狂动物城',
      description: '《疯狂动物城》是一部讲述动物城市中兔子警官朱迪和狐狸小偷尼克合作揭露阴谋的动画片，探讨了种族歧视、友谊和勇气的主题。',
      imageUrl: 'assets/image/FengKuangDongWuCheng.jpg'
    },
    {
        title: '《红楼梦》',
        description: '《红楼梦》是一部中国古典长篇小说，描绘了贾宝玉、林黛玉等人物在贾府内外的爱恨情仇和家族沉浮，反映了封建社会的荣辱兴衰。',
        imageUrl: 'assets/image/HongLouMeng.webp'
      },
      {
        title: '《西游记》',
        description: '《西游记》是一部中国古典神魔小说，讲述了孙悟空等人物取经西天，历经千辛万苦，战胜妖魔鬼怪，修炼成正果的故事。',
        imageUrl: 'assets/image/XiYouJi.webp'
      },
      {
        title: '穿过月亮的旅行',
        description: '《穿过月亮的旅行》是一部奇幻冒险电影，讲述了一段穿越时空、探索未知的神秘旅程，充满惊喜与感动的故事。',
        imageUrl: 'assets/image/upcoming.jpg'
      },
      {
        title: '侏罗纪世界',
        description: '《侏罗纪世界》是一部科幻冒险电影，讲述了恐龙主题公园中因科学实验失控而引发的灾难与逃生故事。',
        imageUrl: 'assets/image/ZhuLouJiShiJi.jpg'
      },
      {
        title: '《水浒传》',
        description: '《水浒传》是一部中国古典长篇小说，描绘了108位好汉义气相助，抗击贪官污吏的英雄壮举，展现了忠义、仁爱和正义的主题。',
        imageUrl: 'assets/image/ShuiHuZhuan.webp'
        
        
      },
  ];

  getFavoriteItems() {
    return this.favoriteItems;
  }

  removeFromFavorites(item: { title: string; description: string; imageUrl: string; }) {
    const index = this.favoriteItems.indexOf(item);
    if (index > -1) {
      this.favoriteItems.splice(index, 1);
    }
  }
}